package com.yunzhi.niucai.alipay.vo;


import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@ApiModel(description = "支付宝转账参数")
@Data
@Accessors(chain = true)
public class AliPayFundTransParam {

    @ApiModelProperty("商户端的唯一订单号")
    @JSONField(name = "out_biz_no")
    String outBizNO;

    @ApiModelProperty("订单总金额，单位为元，精确到小数点后两位")
    @JSONField(name = "trans_amount")
    Float transAmount;

    @ApiModelProperty("业务产品码")
    @JSONField(name = "product_code")
    String productCode;

    @ApiModelProperty("转账业务的标题，用于在支付宝用户的账单里显示")
    @JSONField(name = "order_title")
    String orderTitle;

    @ApiModelProperty("收款方信息")
    @JSONField(name = "payee_info")
    PayeeInfo payeeInfo;

    @ApiModel(description = "支付宝转账收款方信息")
    @Data
    @Accessors(chain = true)
    public static class PayeeInfo {

        @ApiModelProperty("唯一标识")
        @JSONField(name = "identity")
        String identity;

        @ApiModelProperty("标识类型: 1 ALIPAY_USER_ID 支付宝的会员ID, 2 ALIPAY_LOGON_ID 支付宝登录号 ")
        @JSONField(name = "identity_type")
        String identityType;

        @ApiModelProperty("真实姓名")
        @JSONField(name = "name")
        String name;
    }
}
