package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;

import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * <p>
 * 订单主表 
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrder对象", description="订单主表 ")
public class TaOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单ID")
    @TableId(value = "order_id", type = IdType.INPUT)
    private String orderId;

    @ApiModelProperty(value = "订单类型 充值,购彩等")
    private String orderType;

    @ApiModelProperty(value = "数量 购彩则使用倍数")
    private Integer amount;

    @ApiModelProperty(value = "金额 单位分")
    private Integer charge;

    @ApiModelProperty(value = "店铺ID")
    private Integer shopId;

    @ApiModelProperty(value = "下单人")
    private Integer customerId;

    @ApiModelProperty(value = "对应投注")
    private Integer bettingId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "支付状态 1已支付,3支付中，0未支付")
    private Integer payStatus;

    @ApiModelProperty(value = "商户网站唯一订单号")
    private String outTradeNo;

    @ApiModelProperty(value = "支付平台流水")
    private String tradeNo;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "客户投注")
    @TableField(exist = false)
    private TaCustomerBetting customerBetting;

    @ApiModelProperty(value = "订单投注详情")
    @TableField(exist = false)
    private Map<String, Object> bettingDetail;
}
