package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 订单支付 
 * </p>
 *
 * @author yansen
 * @since 2020-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrderPay对象", description="订单支付 ")
public class TaOrderPay implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "支付客户端 wxpay微信支付,alipay支付宝支付")
    private String payClient;

    @ApiModelProperty(value = "支付平台流水")
    private String tradeNo;

    @ApiModelProperty(value = "付款方")
    private String payee;

    @ApiModelProperty(value = "付款方姓名")
    private String payeeName;

    @ApiModelProperty(value = "收款方账户")
    private String remitter;

    @ApiModelProperty(value = "收款方姓名")
    private String remitterName;

    @ApiModelProperty(value = "交易对象类型 b2b,b2c,c2b等;付款在前,b2c代表商家付款给客户")
    private String tradeType;

    @ApiModelProperty(value = "打款金额")
    private Integer payFee;

    @ApiModelProperty(value = "打款事由")
    private String payReason;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "付款时间")
    private LocalDateTime payTime;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "支付结果")
    private String payResult;

    @ApiModelProperty(value = "失败原因")
    private String failReason;

    @ApiModelProperty(value = "拉起支付URL")
    @TableField(exist = false)
    private String h5CallbackUrl;
}
