package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 店主
 * </p>
 *
 * @author yansen
 * @since 2020-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopkeeper对象", description="店主")
public class TaShopkeeper implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "店主ID")
    @TableId(value = "keeper_id", type = IdType.AUTO)
    private Integer keeperId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机")
    private String phone;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "是否支付宝会员认证")
    private Boolean isValidAli;

    @ApiModelProperty(value = "身份证正面")
    private String frontIdCard;

    @ApiModelProperty(value = "身份证反面")
    private String backIdCard;

    @ApiModelProperty(value = "身份证号码")
    private String idCard;
}
