package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 店主的第三方账号 
 * </p>
 *
 * @author yansen
 * @since 2020-10-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopkeeperThird对象", description="店主的第三方账号 ")
public class TaShopkeeperThird implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "第三方类型 wx微信,ali支付宝")
    private String thirdPartType;

    @ApiModelProperty(value = "第三方ID")
    private String thirdPartId;

    @ApiModelProperty(value = "店主ID")
    private Integer keeperId;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "性别 1男2女9未知")
    private Integer sex;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Boolean status;


}
