package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 城市字典 
 * </p>
 *
 * @author yansen
 * @since 2020-10-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdCity对象", description="城市字典 ")
public class TdCity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Integer areaId;

    @ApiModelProperty(value = "省市区名称")
    private String name;

    @ApiModelProperty(value = "上级ID")
    private Integer parentid;

    @ApiModelProperty(value = "简称")
    private String shortname;

    @ApiModelProperty(value = "级别 0,中国；1，省分；2，市；3，区、县")
    private String leveltype;

    @ApiModelProperty(value = "城市代码")
    private String citycode;

    @ApiModelProperty(value = "邮编")
    private String zipcode;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "拼音")
    private String pinyin;

    @ApiModelProperty(value = "状态")
    private Boolean status;


}
