package com.yunzhi.niucai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.niucai.entity.TaOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.niucai.entity.TaShop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 订单主表  Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
@Mapper
public interface TaOrderMapper extends BaseMapper<TaOrder> {

    @Select("select fn_nextval(#{seqKey})")
    Integer nextval(@Param("seqKey") String seqKey) throws Exception;

    IPage<TaOrder> getShopOrders(IPage<TaOrder> pg, @Param("shopId") Integer shopId) throws Exception;

    IPage<TaOrder> getShopOrdersWithLottery(IPage<TaOrder> pg, @Param("shopId") Integer shopId, @Param("lotteryId") String lotteryId) throws Exception;

    TaOrder getShopOrder(@Param("shopId") Integer shopId, @Param("orderId") String orderId) throws Exception;

    TaOrder getByOutTradeNo(@Param("outTradeNo") String outTradeNo);
}
