package com.yunzhi.niucai.mapper;

import com.yunzhi.niucai.entity.TaShop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 店铺 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-08-28
 */
@Mapper
public interface TaShopMapper extends BaseMapper<TaShop> {

    TaShop getRecommendOf(@Param("customerId") Integer customerId, @Param("lotteryId") String lotteryId);

    List<TaShop> getSysRecommendList(@Param("lotteryId") String lotteryId);

    /**
     * 获取最近范围内的店铺
     *
     * @param lotteryId
     * @param lng
     * @param lat
     * @param notIn
     * @param limit
     * @return
     */
    List<TaShop> getNearestShops(@Param("lotteryId") String lotteryId,
                                 @Param("lng") String lng,
                                 @Param("lat") String lat,
                                 @Param("notIn") List<Integer> notIn,
                                 @Param("limit") int limit);

    /**
     * 获取店铺相关信息
     * @param shopId
     * @return
     * @throws Exception
     */
    Map<String, Object> getSummeryById(@Param("shopId") Integer shopId) throws Exception;
}
