package com.yunzhi.niucai.service;

import com.yunzhi.niucai.entity.TaCustomer;
import com.yunzhi.niucai.entity.TaOrder;
import com.yunzhi.niucai.entity.TaShop;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.niucai.entity.TaShopkeeper;
import com.yunzhi.niucai.vo.ShopKeeperSignUp;
import com.yunzhi.niucai.vo.ShopValidParam;

import java.util.Map;

/**
 * <p>
 * 店铺 服务类
 * </p>
 *
 * @author yansen
 * @since 2020-08-28
 */
public interface ITaShopService extends IService<TaShop> {

    /**
     * 获取可用店铺
     * @param customer
     * @param lotteryId
     * @param location
     * @return
     * @throws Exception
     */
    Map<String, Object> getAvailableList(TaCustomer customer, String lotteryId, String location) throws Exception;

    TaShop getByInviteCode(String inviteCode) throws Exception;

    TaShop getProfileBy(TaShopkeeper shopkeeper) throws Exception;

    boolean createBy(TaShopkeeper shopkeeper, ShopKeeperSignUp signUpParam) throws Exception;

    ShopValidParam updateValidInfo(ShopValidParam shopValidParam, TaShop taShop, TaShopkeeper taShopkeeper) throws Exception;

    Map<String, Object> getSummeryByOrder(TaOrder taOrder) throws Exception;
}
