package com.yunzhi.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.niucai.entity.TaShopkeeper;
import com.yunzhi.niucai.entity.TaShopkeeperThird;
import com.yunzhi.niucai.enums.StatusEnum;
import com.yunzhi.niucai.mapper.TaShopkeeperThirdMapper;
import com.yunzhi.niucai.service.ITaShopkeeperThirdService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 店主的第三方账号  服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-10-10
 */
@Service
public class TaShopkeeperThirdServiceImpl extends ServiceImpl<TaShopkeeperThirdMapper, TaShopkeeperThird> implements ITaShopkeeperThirdService {

    @Override
    public TaShopkeeperThird getByKeeper(TaShopkeeper taShopkeeper, String thirdPartType) throws Exception {
        if (null == taShopkeeper || StatusEnum.DELETED.getCode().equals(taShopkeeper.getStatus())) {
            throw new Exception("未找到有效的店主信息");
        }

        QueryWrapper<TaShopkeeperThird> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("keeper_id", taShopkeeper.getKeeperId());
        queryWrapper.eq("third_part_type", thirdPartType);
        queryWrapper.eq("status", StatusEnum.NORMAL.getCode());

        return getOne(queryWrapper);
    }
}
