package com.yunzhi.niucai.wxpay;

import com.github.binarywang.wxpay.config.WxPayConfig;
import com.yunzhi.niucai.entity.TaWxpay;
import com.yunzhi.niucai.service.ITaWxpayService;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class WxpayFactory implements InitializingBean {

    @Resource(name = "taShopAppServiceImpl")
    ISubMchResolve iSubMchResolve;

    @Autowired
    ITaWxpayService iTaWxpayService;

    WxPayConfig config;

    public WxPayService getService(Integer shopId) {
        return new WxPayService(config, iSubMchResolve, shopId);
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        // 写死, 取第一个
        TaWxpay wxpay = iTaWxpayService.getById(1);

        if (null != wxpay) {
            config = new WxPayConfig();
            config.setAppId(wxpay.getAppid());
            config.setMchId(wxpay.getMchId());
        }
    }
}
